MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024278Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-10-22 16:382017-12-05 17:08
Reporterifv 
Assigned Toifv 
PrioritynormalSeverityfeature 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0024278: Diagnostic possible intersection loops
DescriptionImplementation of method for fast diagnostic of possible intersection loops (closed intersection curves) for intersection of two surfaces
Steps To ReproduceNo
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0026215)
aml (developer)
2013-10-22 16:56

Dear ifv,
Please review and comment.

I performed the following tests:

# infinite domain test
cone c 45 0
plane p 0 0 40 0 1 5
intersect e c p

# normals turn test
sphere s1 100
plane p 0 0 40 0 1 5
intersect e s1 p

# pair of Collinear normals test
plane p 0 0 70 0 0 1
plane p1 0 0 70 0 0 1
intersect e p p1


#pair of Collinear normals test 2
beziersurf s 3 3 0 0 0 10 0 0 20 0 0 0 10 0 10 10 10 20 10 0 0 20 0 10 20 0 20 20 0
plane p 0 0 1 0 0 1
intersect e s p

#no Collinear normals
plane p 0 0 70 0 0 1
plane p1 0 0 70 1 0 0
intersect e p p1

#no Collinear normals
plane p 0 0 70 0 0 1
plane p1 0 0 70 0 0.5 0.5
intersect e p p1



(0026260)
aml (developer)
2013-10-24 15:51

Dear ifv,
Please review and comment branch CR24278.
(0026295)
aml (developer)
2013-10-28 11:36

Dear ifv,
Please review and comment branch CR24278.
(0026296)
ifv (developer)
2013-10-28 11:51

It is necessary to include not CDL class in package by corret way.
(0026299)
aml (developer)
2013-10-28 14:14

Dear ifv,
Please review current state of branch CR24278.
(0026300)
ifv (developer)
2013-10-28 14:29

Ok
(0026315)
mkv (tester)
2013-10-29 09:36
edited on: 2013-10-29 15:30

Dear BugMaster,

Branch CR24278 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 4eafa2ae7f9f55d71e3320e5994c4d0b3ad43e2d

Number of compiler warnings:

occt component :
Linux: 319 (323 on master)
Windows: 0 (0 on master)

products component :
Linux: 189 (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
http://occt-tests/CR24278-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24278-master-occt/Windows-32-VC9/summary.html [^]

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355572264 / 355669756
Total CPU difference: 41980.18000000134 / 40330.98000000063

Testing on Windows:
Total MEMORY difference: 406400352 / 405650756
Total CPU difference: 31531.375 / 34529.8125

There are not differences in images found by testdiff.
http://occt-tests/CR24278-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24278-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE boolean bopcut_complex M6: M6.png differs
IMAGE boolean bopfuse_complex L1: L1.png differs
IMAGE boolean bopfuse_complex L5: L5.png differs
IMAGE boolean bopfuse_complex L6: L6.png differs
IMAGE boolean bopfuse_complex M3: M3.png differs
IMAGE boolean bopfuse_complex M4: M4.png differs
IMAGE boolean bfuse_complex O1: O1.png differs
IMAGE boolean bfuse_complex O2: O2.png differs
IMAGE boolean bfuse_complex O3: O3.png differs
IMAGE boolean bfuse_complex O4: O4.png differs
IMAGE boolean bfuse_complex P2: P2.png differs
IMAGE boolean bfuse_complex P3: P3.png differs
IMAGE boolean bfuse_complex S3: S3.png differs
IMAGE boolean bfuse_complex S4: S4.png differs

(0026337)
aml (developer)
2013-10-29 16:50

Dear ifv,
Please check current state of branch CR24278_2 to be sure it is ok.
(0026340)
ifv (developer)
2013-10-29 17:47

Using LoopDetector in IntPatch_Intersection is again wrong.
(0026382)
aml (developer)
2013-10-31 09:44

Dear ifv,
Please check current state of branch CR24278_2 to be sure it is ok.
(0026384)
ifv (developer)
2013-10-31 09:57

Ok
(0026450)
mkv (tester)
2013-11-05 12:03

Dear BugMaster,

Branch CR24278_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: c945d11534cff85f1b4a89f65112b45978db9302

Number of compiler warnings:

occt component :
Linux: 323 (323 on master)
Windows: 0 (0 on master)

products component :
Linux: 188 (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356288416 / 356295124
Total CPU difference: 42480.45000000094 / 40672.21000000072

Testing on Windows:
Total MEMORY difference: 407595320 / 406471844
Total CPU difference: 27912.84375 / 34772.53125

There are not differences in images found by testdiff.
(0026530)
aml (developer)
2013-11-11 12:55

Dear ifv,
Please check current state of branch CR24278_2 to be sure it is still ok.
(0026542)
mkv (tester)
2013-11-11 15:38

Dear BugMaster,

Branch CR24278_2 was rebased on current master. Branch CR24278_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: dc5ef9370daf4f0d020f807f0b9d435eaaf38407

Number of compiler warnings:

occt component :
Linux: 318 (318 on master)
Windows: 0 (0 on master)

products component :
Linux: 188 (188 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356323636 / 356538344
Total CPU difference: 42131.38000000106 / 42450.93000000157

Testing on Windows:
Total MEMORY difference: 411357268 / 410728524
Total CPU difference: 32633.25 / 30177.296875

There are following differences in images found by testdiff.
http://occt-tests/CR24278-02-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24278-02-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs modalg_4 pro19653: pro19653.png differs
(0033236)
abv (manager)
2014-10-17 02:38

Igor, what is the status of this issue?
(0033261)
ifv (developer)
2014-10-17 15:40

Task is not completed: implementation is done, it is nevessary to test and compary perfomance with current implementation of intersection algo.

- Issue History
Date Modified Username Field Change
2013-10-22 16:38 ifv New Issue
2013-10-22 16:38 ifv Assigned To => aml
2013-10-22 16:40 aml Status new => assigned
2013-10-22 16:56 aml Note Added: 0026215
2013-10-22 16:56 aml Assigned To aml => ifv
2013-10-22 16:56 aml Status assigned => resolved
2013-10-24 15:50 aml Assigned To ifv => aml
2013-10-24 15:50 aml Status resolved => assigned
2013-10-24 15:51 aml Note Added: 0026260
2013-10-24 15:51 aml Assigned To aml => ifv
2013-10-24 15:51 aml Status assigned => resolved
2013-10-28 11:35 aml Assigned To ifv => aml
2013-10-28 11:35 aml Status resolved => assigned
2013-10-28 11:36 aml Note Added: 0026295
2013-10-28 11:36 aml Assigned To aml => ifv
2013-10-28 11:36 aml Status assigned => resolved
2013-10-28 11:51 ifv Note Added: 0026296
2013-10-28 11:51 ifv Assigned To ifv => aml
2013-10-28 11:51 ifv Status resolved => feedback
2013-10-28 14:14 aml Note Added: 0026299
2013-10-28 14:14 aml Assigned To aml => ifv
2013-10-28 14:14 aml Status feedback => resolved
2013-10-28 14:29 ifv Note Added: 0026300
2013-10-28 14:29 ifv Status resolved => reviewed
2013-10-28 15:05 mkv Assigned To ifv => mkv
2013-10-29 09:36 mkv Note Added: 0026315
2013-10-29 09:36 mkv Assigned To mkv => aml
2013-10-29 09:36 mkv Status reviewed => assigned
2013-10-29 15:29 mkv Test case number => Not needed
2013-10-29 15:30 mkv Note Edited: 0026315 View Revisions
2013-10-29 16:50 aml Note Added: 0026337
2013-10-29 16:50 aml Assigned To aml => ifv
2013-10-29 16:50 aml Status assigned => resolved
2013-10-29 17:47 ifv Note Added: 0026340
2013-10-29 17:47 ifv Assigned To ifv => aml
2013-10-29 17:47 ifv Status resolved => feedback
2013-10-31 09:44 aml Note Added: 0026382
2013-10-31 09:44 aml Assigned To aml => ifv
2013-10-31 09:44 aml Status feedback => resolved
2013-10-31 09:57 ifv Note Added: 0026384
2013-10-31 09:57 ifv Status resolved => reviewed
2013-10-31 17:43 mkv Assigned To ifv => mkv
2013-11-05 12:03 mkv Note Added: 0026450
2013-11-11 12:55 aml Assigned To mkv => aml
2013-11-11 12:55 aml Status reviewed => assigned
2013-11-11 12:55 aml Note Added: 0026530
2013-11-11 12:55 aml Assigned To aml => ifv
2013-11-11 12:55 aml Status assigned => resolved
2013-11-11 15:38 mkv Note Added: 0026542
2013-12-04 10:07 ifv Severity minor => feature
2013-12-04 10:07 ifv Reproducibility have not tried => N/A
2014-04-04 17:11 abv Target Version 6.7.1 => 6.8.0
2014-10-17 02:38 abv Note Added: 0033236
2014-10-17 02:38 abv Status resolved => feedback
2014-10-17 15:40 ifv Note Added: 0033261
2014-10-17 15:40 ifv Status feedback => assigned
2014-10-29 06:50 abv Target Version 6.8.0 => 7.1.0
2016-10-28 11:54 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:08 msv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker